curl --request GET \
--url https://api.spherepay.co/v2/quote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/quote"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created": "2025-01-01T00:00:00.000Z",
"customerId": "customer_d243ab2b1de4447d8a046d87fefe58cf",
"destination": {
"amount": "545.50",
"currency": "brl",
"exchangeRate": "5.455",
"network": "pix"
},
"expiresAt": "2025-01-01T00:01:00.000Z",
"fees": {
"integratorFee": {
"bpsRate": "0",
"currency": "usdc",
"fixedAmount": "0.00",
"totalAmount": "0.00"
},
"platformFee": {
"bpsRate": "20",
"currency": "usdc",
"fixedAmount": "0.00",
"totalAmount": "2.00"
}
},
"id": "quote_d243ab2b1de4447d8a046d87fefe58cf",
"source": {
"amount": "100.00",
"currency": "usdc",
"network": "polygon"
},
"status": "active",
"type": "off_ramp",
"updated": "2025-01-01T00:00:30.000Z",
"quoteDurationSeconds": 45,
"referenceSide": "source"
}
],
"hasNext": false,
"hasPrevious": false,
"limit": 10,
"page": 1,
"total": 1,
"totalPages": 1
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Listar Cotizaciones con Tasa Bloqueada de tu Cuenta
List quotes for the application. Repeat a currency parameter to match any supplied value; source and destination filters combine.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de consulta
Page number of the list (default: 1)
1
Number of items per page (default: 10)
10
Filter quotes by customer ID.
^customer_[a-z0-9]+$"customer_3faa484998f44cfead9668608b9ee1f5"
Filter quotes by status.
active, used, expired "active"
Filter by one or more source currencies. Repeat the query parameter for multiple values.
usdc, usdt, eurc, usd, eur, brl, mxn, mxn Filter by one or more destination currencies. Repeat the query parameter for multiple values.
usdc, usdt, eurc, usd, eur, brl, mxn, mxn Respuesta
The list of quotes for the current page.
Show child attributes
Show child attributes
Whether there is a next page
false
Whether there is a previous page
false
Number of items per page
1 < x < 10010
Current page number
1
Total number of items
1
Total number of pages
1